--- stompserver-0.9.9.orig/debian/stompserver.init
+++ stompserver-0.9.9/debian/stompserver.init
@@ -0,0 +1,167 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          stompserver
+# Required-Start:    $network $local_fs
+# Required-Stop:     $network $local_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: a stomp messaging server implemented in ruby
+### END INIT INFO
+#
+# Copyright (c) 2009 Joshua Timberman, <joshua@opscode.com>
+#
+# stompserver         Startup script for stompserver
+# chkconfig: - 80 20
+# description: starts up stompserver in daemon mode.
+
+DAEMON=/usr/bin/stompserver
+NAME=stompserver
+DESC=stompserver
+PIDFILE=/var/run/$NAME/pid
+
+test -x $DAEMON || exit 0
+
+. /lib/lsb/init-functions
+
+if [ ! -d /var/run/stompserver ]; then
+  mkdir -p /var/run/stompserver
+fi
+
+chown stompserver:stompserver /var/run/stompserver
+
+DAEMON_OPTS="-C /etc/stompserver.conf"
+
+running_pid() {                                                                 
+  pid=$1
+  name=$2                                                                     
+  [ -z "$pid" ] && return 1                                                   
+  [ ! -d /proc/$pid ] &&  return 1                                            
+  cmd=`awk '/Name:/ {print $2}' /proc/$pid/status`
+  [ "$cmd" != "$name" ] &&  return 1                                          
+  return 0 
+}   
+
+running() {                                                                     
+  [ ! -f "$PIDFILE" ] && return 1
+  pid=`cat $PIDFILE`
+  running_pid $pid $NAME || return 1                                        
+  return 0
+}   
+
+start_server() {                                                                
+  start_daemon -p $PIDFILE $DAEMON $DAEMON_OPTS                       
+  errcode=$?
+  return $errcode                                                         
+}       
+
+stop_server() {                                                                 
+   if [ -z "$DAEMONUSER" ] ; then                                          
+     killproc -p $PIDFILE $DAEMON                                        
+     errcode=$?
+   else
+     start-stop-daemon --stop --quiet --pidfile $PIDFILE \               
+       --user $DAEMONUSER \ 
+       --exec $DAEMON
+     errcode=$?  
+   fi  
+   return $errcode                                                         
+}       
+
+reload_server() {                                                               
+  [ ! -f "$PIDFILE" ] && return 1                                             
+  pid=pidofproc $PIDFILE # This is the daemon's pid                           
+  kill -1 $pid
+  return $?
+}   
+
+force_stop() {
+  [ ! -e "$PIDFILE" ] && return
+  if running ; then
+    kill -15 $pid
+    sleep "$DIETIME"s
+    if running ; then
+      kill -9 $pid
+      sleep "$DIETIME"s
+      if running ; then
+        echo "Cannot kill $NAME (pid=$pid)!"
+        exit 1
+      fi
+    fi
+  fi
+  rm -f $PIDFILE
+}
+
+case "$1" in
+  start)
+    log_daemon_msg "Starting $DESC " "$NAME"
+    if running ;  then
+        log_progress_msg "apparently already running"
+        log_end_msg 0
+        exit 0
+    fi
+    if start_server ; then
+        [ -n "$STARTTIME" ] && sleep $STARTTIME # Wait some time 
+        if  running ;  then
+            log_end_msg 0
+        else
+            log_end_msg 1
+        fi
+    else
+        log_end_msg 1
+    fi
+    ;;
+  stop)
+    log_daemon_msg "Stopping $DESC" "$NAME"
+    if running ; then
+      errcode=0
+      stop_server || errcode=$?
+      log_end_msg $errcode
+    else
+      log_progress_msg "apparently not running"
+      log_end_msg 0
+      exit 0
+    fi
+    ;;
+  force-stop)
+    $0 stop
+    if running; then
+      log_daemon_msg "Stopping (force) $DESC" "$NAME"
+      errcode=0
+      force_stop || errcode=$?
+      log_end_msg $errcode
+    fi
+    ;;
+  restart|force-reload)
+    log_daemon_msg "Restarting $DESC" "$NAME"
+    errcode=0
+    stop_server || errcode=$?
+    [ -n "$DIETIME" ] && sleep $DIETIME
+    start_server || errcode=$?
+    [ -n "$STARTTIME" ] && sleep $STARTTIME
+    running || errcode=$?
+    log_end_msg $errcode
+    ;;
+  status)
+    log_daemon_msg "Checking status of $DESC" "$NAME"
+    if running ;  then
+      log_progress_msg "running"
+      log_end_msg 0
+    else
+      log_progress_msg "apparently not running"
+      log_end_msg 1
+      exit 1
+    fi
+    ;;
+  reload)
+    log_warning_msg "Reloading $NAME daemon: not implemented, as the daemon"
+    log_warning_msg "cannot re-read the config file (use restart)."
+    ;;
+  *)
+    N=/etc/init.d/$NAME
+    echo "Usage: $N {start|stop|force-stop|restart|force-reload|status}" >&2
+    exit 1
+    ;;
+esac
+
+exit 0
+
--- stompserver-0.9.9.orig/debian/manpages
+++ stompserver-0.9.9/debian/manpages
@@ -0,0 +1 @@
+debian/stompserver.1
--- stompserver-0.9.9.orig/debian/stompserver.postrm
+++ stompserver-0.9.9/debian/stompserver.postrm
@@ -0,0 +1,27 @@
+#!/bin/sh
+# postrm script for stompserver
+#
+# see: dh_installdeb(1)
+
+set -e
+
+case "$1" in
+    purge)
+      rm -rf /etc/stompserver
+      rm -rf /var/log/stompserver
+    ;;
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- stompserver-0.9.9.orig/debian/stompserver.logrotate
+++ stompserver-0.9.9/debian/stompserver.logrotate
@@ -0,0 +1,10 @@
+/var/log/stompserver/*log {
+  missingok
+  create 0644 stompserver stompserver
+  compress
+  rotate 12
+  weekly
+  postrotate
+  /etc/init.d/stompserver force-reload
+  endscript
+}
--- stompserver-0.9.9.orig/debian/copyright
+++ stompserver-0.9.9/debian/copyright
@@ -0,0 +1,55 @@
+This package was debianized by Bryan McLellan <btm@loftninjas.org> on
+Fri, 17 Jul 2009 16:38:07 -0700.
+
+It was downloaded from <http://rubyforge.org/projects/stompserver/>
+
+Upstream Authors:
+
+    Patrick Hurley <phurley@gmail.com>
+    Lionel Bouton
+
+Copyright:
+
+    Copyright © 2006 Patrick Hurley
+    Copyright © 2007 Lionel Bouton
+
+License:
+    From README.txt (/usr/share/doc/stompserver/README.txt.gz)
+    (The MIT License)
+
+    Permission is hereby granted, free of charge, to any person obtaining
+    a copy of this software and associated documentation files (the
+    'Software'), to deal in the Software without restriction, including
+    without limitation the rights to use, copy, modify, merge, publish,
+    distribute, sublicense, and/or sell copies of the Software, and to
+    permit persons to whom the Software is furnished to do so, subject to
+    the following conditions:
+    
+    The above copyright notice and this permission notice shall be
+    included in all copies or substantial portions of the Software.
+    
+    THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
+    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+    IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
+    CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
+    TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+    SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+setup.rb:
+
+    Copyright © 2000-2004 Minero Aoki
+
+    This program is free software.
+    You can distribute/modify this program under the terms of
+    the GNU Lesser General Public License version 2.1,
+    see '/usr/share/common-licenses/LGPL-2.1'
+
+debian/stompserver.1:
+
+    The manual page included is compiled from existing package documentation, which
+    is released under the terms of the MIT license which is listed above in the
+    License section.
+
+The Debian packaging is Copyright 2009, Bryan McLellan <btm@loftninjas.org> and
+is licensed under the GPL version 2, see `/usr/share/common-licenses/GPL-2'.
--- stompserver-0.9.9.orig/debian/examples
+++ stompserver-0.9.9/debian/examples
@@ -0,0 +1,2 @@
+config/stompserver.conf
+etc/passwd.example
--- stompserver-0.9.9.orig/debian/compat
+++ stompserver-0.9.9/debian/compat
@@ -0,0 +1 @@
+5
--- stompserver-0.9.9.orig/debian/stompserver.conf
+++ stompserver-0.9.9/debian/stompserver.conf
@@ -0,0 +1,14 @@
+---
+:daemon: true
+:working_dir: /var/lib/stompserver
+:logdir: /var/log/stompserver
+:pidfile: /var/run/stompserver/pid
+:storage: /var/lib/stompserver/storage
+:etcdir: /etc/stompserver
+:queue: memory
+:auth: false
+:debug: false
+:group: stompserver
+:user: stompserver
+:host: 127.0.0.1
+:port: 61613
--- stompserver-0.9.9.orig/debian/dirs
+++ stompserver-0.9.9/debian/dirs
@@ -0,0 +1,3 @@
+var/log/stompserver
+var/lib/stompserver
+etc/stompserver
--- stompserver-0.9.9.orig/debian/rules
+++ stompserver-0.9.9/debian/rules
@@ -0,0 +1,11 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+
+DEB_INSTALL_CHANGELOGS_ALL = History.txt
+
+binary-install/stompserver::
+	install -Dp -m0644 debian/stompserver.conf debian/stompserver/etc/stompserver.conf
+
--- stompserver-0.9.9.orig/debian/watch
+++ stompserver-0.9.9/debian/watch
@@ -0,0 +1,3 @@
+version=3
+http://rubyforge.org/frs/?group_id=2372 \
+  .*/stompserver-([\d\.]*).tgz
--- stompserver-0.9.9.orig/debian/control
+++ stompserver-0.9.9/debian/control
@@ -0,0 +1,19 @@
+Source: stompserver
+Section: ruby
+Priority: extra
+Maintainer: Bryan McLellan <btm@loftninjas.org>
+Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Joshua Timberman <joshua@opscode.com>
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/stompserver/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/stompserver/
+Build-Depends: cdbs, debhelper (>= 5), ruby-pkg-tools (>= 0.14), quilt
+Build-Depends-Indep: graphviz, ruby1.8
+Standards-Version: 3.8.2
+Homepage: http://stompserver.rubyforge.org/
+
+Package: stompserver
+Architecture: all
+Depends: ${misc:Depends}, ruby1.8, libdaemons-ruby1.8, libeventmachine-ruby1.8, adduser
+Description: stomp messaging server implemented in ruby
+ Stompserver is a stomp messaging server with support for multiple FIFO
+ based queue backends including file, dbm, memory and activerecord.
+ It supports basic authentication and queue monitoring.
--- stompserver-0.9.9.orig/debian/stompserver.postinst
+++ stompserver-0.9.9/debian/stompserver.postinst
@@ -0,0 +1,34 @@
+#!/bin/sh
+# postinst script for stompserver
+#
+# see: dh_installdeb(1)
+
+set -e
+
+case "$1" in
+    configure)
+      if [ -z "`getent passwd stompserver`" ]; then
+        adduser --quiet --system --home /var/lib/stompserver --shell /bin/false \
+        --group --disabled-password --disabled-login --no-create-home \
+        --gecos "Stomp Server" stompserver 
+      fi
+      chown stompserver:stompserver /var/lib/stompserver
+      chown stompserver:stompserver /var/log/stompserver
+      chown stompserver:stompserver /etc/stompserver
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- stompserver-0.9.9.orig/debian/changelog
+++ stompserver-0.9.9/debian/changelog
@@ -0,0 +1,5 @@
+stompserver (0.9.9-1) unstable; urgency=low
+
+  * Initial release (Closes: #537410)
+
+ -- Joshua Timberman <joshua@opscode.com>  Thu, 13 Aug 2009 12:25:59 -0600
--- stompserver-0.9.9.orig/debian/docs
+++ stompserver-0.9.9/debian/docs
@@ -0,0 +1 @@
+README.txt
--- stompserver-0.9.9.orig/debian/stompserver.1
+++ stompserver-0.9.9/debian/stompserver.1
@@ -0,0 +1,138 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH STOMPSERVER "1" "July 2009" "stompserver" "User Commands"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+stompserver \- Stomp protocol messaging server
+.SH SYNOPSIS
+.B stompserver
+[\fIoptions\fR]
+.SH DESCRIPTION
+Stomp messaging server with file/dbm/memory/activerecord based FIFO
+queues, queue monitoring, and basic authentication.
+
+.SH OPTIONS
+.TP
+\fB\-C\fR, \fB\-\-config\fR=\fICONFIGFILE\fR
+Configuration File (default: stompserver.conf)
+.TP
+\fB\-p\fR, \fB\-\-port\fR=\fIPORT\fR
+Change the port (default: 61613)
+.TP
+\fB\-b\fR, \fB\-\-host\fR=\fIADDR\fR
+Change the host (default: localhost)
+.TP
+\fB\-q\fR, \fB\-\-queuetype\fR=\fIQUEUETYPE\fR
+Queue type (memory|dbm|activerecord|file) (default: memory)
+.TP
+\fB\-w\fR, \fB\-\-working_dir\fR=\fIDIR\fR
+Change the working directory (default: current directory)
+.TP
+\fB\-s\fR, \fB\-\-storage\fR=\fIDIR\fR
+Change the storage directory (default: .stompserver, relative to working_dir)
+.TP
+\fB\-d\fR, \fB\-\-debug\fR
+Turn on debug messages
+.TP
+\fB\-a\fR, \fB\-\-auth\fR
+Require client authorization
+.TP
+\fB\-c\fR, \fB\-\-checkpoint\fR=\fISECONDS\fR
+Time between checkpointing the queues in seconds (default: 0)
+.TP
+\fB\-h\fR, \fB\-\-help\fR
+Show this message
+
+.SH QUEUES
+
+Stompserver handles basic message queue processing using memory, file, or dbm
+based queues. Messages are sent and consumed in FIFO order (unless a
+client error happens, this should be corrected in the future). Topics
+are memory-only storage.  You can select activerecord, file or dbm
+storage and the queues will use that, but topics will only be stored
+in memory.
+
+memory queues are of course the fastest ones but shouldn't be used if
+you want to ensure all messages are delivered.
+
+dbm queues will use berkeleydb if available, otherwise dbm or gdbm
+depending on the platform. sdbm does not work well with marshalled
+data. Note that these queues have not been tested in this release.
+
+For the file based storage, each frame is stored in a single file. The
+first 8 bytes contains the header length, the next 8 bytes contains
+the body length, then the headers are stored as a marshalled object
+followed by the body stored as a string. This storage is currently
+inefficient because queues are stored separately from messages, which
+forces a double write for data safety reasons on each message stored.
+
+The activerecord based storage expects to find a database.yml file in
+the configuration directory. It should be the most robust backend, but
+the slowest one. The database must have an ar_messages table which can
+be created with the following code (you are responsible to do so):
+
+  ActiveRecord::Schema.define do
+    create_table 'ar_messages' do |t|
+      t.column 'stomp_id', :string, :null => false
+      t.column 'frame', :text, :null => false
+    end
+  end
+
+You can read the frames with this model:
+
+  class ArMessage < ActiveRecord::Base
+    serialize :frame
+  end
+
+The ar_message implementation will certainly change in the future.
+
+This is meant to be easily readable by a Rails application (which
+could handle the ar_messages table creation with a migration).
+
+.SH ACCESS CONTROL
+
+Basic client authorization is also supported.  If the \-a flag is
+passed to stompserver on startup, and a .passwd file exists in the run
+directory, then clients will be required to provide a valid login and
+passcode.  See passwd.example for the password file format.
+
+.SH MONITORING
+
+Queues can be monitored via the monitor queue (this will probably not
+be supported this way in the future to avoid polluting the queue
+namespace). If you subscribe to /queue/monitor, you will receive a
+status message every 5 seconds that displays each queue, it's size,
+frames enqueued, and frames dequeued. Stats are sent in the same
+format of stomp headers, so they are easy to parse. Following is an
+example of a status message containing stats for 2 queues:
+
+Queue: /queue/client2
+size: 0
+dequeued: 400
+enqueued: 400
+
+Queue: /queue/test
+size: 50
+dequeued: 250
+enqueued: 300
+
+
+.SH AUTHOR
+stompserver was written by Patrick Hurley <phurley@gmail.com> and Lionel Bouton.
+.PP
+This manual page was compiled from the included documentation by 
+Bryan McLellan <btm@loftninjas.org> for the Debian project (and may be used by others).
+The existing documentation is distributed under the MIT license.
--- stompserver-0.9.9.orig/debian/README.source
+++ stompserver-0.9.9/debian/README.source
@@ -0,0 +1,5 @@
+    This package uses quilt to manage all modifications to the upstream
+    source.  Changes are stored in the source package as diffs in
+    debian/patches and applied during the build.
+
+    See /usr/share/doc/quilt/README.source for a detailed explanation.
--- stompserver-0.9.9.orig/debian/patches/remove_rubygems.patch
+++ stompserver-0.9.9/debian/patches/remove_rubygems.patch
@@ -0,0 +1,31 @@
+# Description: Remove requirement of rubygems
+# Requiring RubyGems is discouraged by the Debian Ruby Extras team
+# per http://pkg-ruby-extras.alioth.debian.org/upstream-devs.html
+# Author: Bryan McLellan <btm@loftninjas.org>
+Index: stompserver-0.9.9/bin/stompserver
+===================================================================
+--- stompserver-0.9.9.orig/bin/stompserver	2009-07-28 10:47:18.000000000 -0700
++++ stompserver-0.9.9/bin/stompserver	2009-07-28 10:47:26.000000000 -0700
+@@ -1,4 +1,3 @@
+-require 'rubygems'
+ require 'etc'
+ require 'yaml'
+ require 'daemons/daemonize'
+Index: stompserver-0.9.9/lib/stomp_server.rb
+===================================================================
+--- stompserver-0.9.9.orig/lib/stomp_server.rb	2009-07-28 10:47:37.000000000 -0700
++++ stompserver-0.9.9/lib/stomp_server.rb	2009-07-28 10:47:42.000000000 -0700
+@@ -1,4 +1,3 @@
+-require 'rubygems'
+ require 'eventmachine'
+ require 'stomp_server/stomp_frame'
+ require 'stomp_server/stomp_id'
+Index: stompserver-0.9.9/lib/stomp_server/test_server.rb
+===================================================================
+--- stompserver-0.9.9.orig/lib/stomp_server/test_server.rb	2009-07-28 10:47:48.000000000 -0700
++++ stompserver-0.9.9/lib/stomp_server/test_server.rb	2009-07-28 10:47:52.000000000 -0700
+@@ -1,4 +1,3 @@
+-require 'rubygems'
+ require 'eventmachine'
+ 
+ module StompServer
--- stompserver-0.9.9.orig/debian/patches/fhs_paths.patch
+++ stompserver-0.9.9/debian/patches/fhs_paths.patch
@@ -0,0 +1,32 @@
+# Description: Check for absolute paths so we can enforce FHS in config.
+# No upstream patch/URL yet, will update package when one is open.
+# Author: Joshua Timberman <joshua@opscode.com>
+Index: stompserver-0.9.9/lib/stomp_server.rb
+===================================================================
+--- stompserver-0.9.9.orig/lib/stomp_server.rb	2009-08-19 16:43:04.368066674 -0600
++++ stompserver-0.9.9/lib/stomp_server.rb	2009-08-19 16:44:24.783974681 -0600
+@@ -28,6 +28,7 @@
+         :working_dir => Dir.getwd,
+         :storage => ".stompserver",
+         :logdir => 'log',
++        :etcdir => 'etc',
+         :configfile => 'stompserver.conf',
+         :logfile => 'stompserver.log',
+         :pidfile => 'stompserver.pid',
+@@ -63,10 +63,10 @@
+         opts = @defaults
+       end
+ 
+-      opts[:etcdir] = File.join(opts[:working_dir],'etc')
+-      opts[:storage] = File.join(opts[:working_dir],opts[:storage])
+-      opts[:logdir] = File.join(opts[:working_dir],opts[:logdir])
+-      opts[:logfile] = File.join(opts[:logdir],opts[:logfile])
+-      opts[:pidfile] = File.join(opts[:logdir],opts[:pidfile])
++      opts[:etcdir] = opts[:etcdir] =~ /^\// ? opts[:etcdir] : File.join(opts[:working_dir],opts[:etcdir])
++      opts[:storage] = opts[:storage] =~ /^\// ? opts[:storage] : File.join(opts[:working_dir],opts[:storage])
++      opts[:logdir] = opts[:logdir] =~ /^\// ? opts[:logdir] : File.join(opts[:working_dir],opts[:logdir])
++      opts[:logfile] = opts[:logfile] =~ /^\// ? opts[:logfile] : File.join(opts[:logdir],opts[:logfile])
++      opts[:pidfile] = opts[:pidfile] =~ /^\// ? opts[:pidfile] : File.join(opts[:logdir],opts[:pidfile])
+       if opts[:auth]
+         opts[:passwd] = File.join(opts[:etcdir],'.passwd')
+       end
--- stompserver-0.9.9.orig/debian/patches/fix_storagedir.patch
+++ stompserver-0.9.9/debian/patches/fix_storagedir.patch
@@ -0,0 +1,15 @@
+# Description: Bug in initialize won't create the storage dir in FHS compliant location
+# No upstream bug yet, will update the package when there is one.
+Index: stompserver-0.9.9/lib/stomp_server/queue/activerecord_queue.rb
+===================================================================
+--- stompserver-0.9.9.orig/lib/stomp_server/queue/activerecord_queue.rb	2009-08-19 17:49:44.559625055 -0600
++++ stompserver-0.9.9/lib/stomp_server/queue/activerecord_queue.rb	2009-08-19 17:50:07.623903343 -0600
+@@ -15,7 +15,7 @@
+     # Default configuration, use SQLite for simplicity
+     db_params = {
+       'adapter' => 'sqlite3',
+-      'database' => "#{configdir}/stompserver_development"
++      'database' => "#{storagedir}/stompserver_development"
+     }
+     # Load DB configuration
+     db_config = "#{configdir}/database.yml"
--- stompserver-0.9.9.orig/debian/patches/ruby_hashbang.patch
+++ stompserver-0.9.9/debian/patches/ruby_hashbang.patch
@@ -0,0 +1,13 @@
+# Description: Add a ruby shebang to the stompserver binary per policy
+# Debian Policy Manual section 10.4 Scripts.
+# Author: Bryan McLellan <btm@loftninjas.org>
+Index: stompserver-0.9.9/bin/stompserver
+===================================================================
+--- stompserver-0.9.9.orig/bin/stompserver	2009-07-28 11:45:59.000000000 -0700
++++ stompserver-0.9.9/bin/stompserver	2009-07-28 11:46:08.000000000 -0700
+@@ -1,3 +1,5 @@
++#!/usr/bin/ruby1.8
++
+ require 'etc'
+ require 'yaml'
+ require 'daemons/daemonize'
--- stompserver-0.9.9.orig/debian/patches/series
+++ stompserver-0.9.9/debian/patches/series
@@ -0,0 +1,4 @@
+remove_rubygems.patch
+ruby_hashbang.patch
+fhs_paths.patch
+fix_storagedir.patch
